Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ListSelectionTarget Class Reference

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...

`#include <OgreListSelectionTarget.h>`

Inheritance diagram for Ogre::ListSelectionTarget:

[legend]
List of all members.

## Public Methods

void | processListSelectionEvent (ListSelectionEvent *e)
void | addListSelectionListener (ListSelectionListener *l)
void | removeListSelectionListener (ListSelectionListener *l)

## Protected Methods

| ListSelectionTarget ()

## Protected Attributes

ListSelectionListener * | mListSelectionListener

## Detailed Description

Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them.

Definition at line 44 of file OgreListSelectionTarget.h.

## Constructor & Destructor Documentation

Ogre::ListSelectionTarget::ListSelectionTarget | ( |  | ) | `[protected]`

| Definition at line 37 of file OgreListSelectionTarget.cpp. References mListSelectionListener.

## Member Function Documentation

void Ogre::ListSelectionTarget::addListSelectionListener | ( | ListSelectionListener * | l | ) |

| Definition at line 53 of file OgreListSelectionTarget.cpp. References mListSelectionListener.

void Ogre::ListSelectionTarget::processListSelectionEvent | ( | ListSelectionEvent * | e | ) |

| Definition at line 44 of file OgreListSelectionTarget.cpp. References Ogre::ListSelectionListener::listSelected(), and mListSelectionListener.

void Ogre::ListSelectionTarget::removeListSelectionListener | ( | ListSelectionListener * | l | ) |

| Definition at line 62 of file OgreListSelectionTarget.cpp. References mListSelectionListener.

## Member Data Documentation

ListSelectionListener* Ogre::ListSelectionTarget::mListSelectionListener`[protected]`

| Definition at line 49 of file OgreListSelectionTarget.h. Referenced by addListSelectionListener(), ListSelectionTarget(), processListSelectionEvent(), and removeListSelectionListener().

The documentation for this class was generated from the following files:

- OgreListSelectionTarget.h
- OgreListSelectionTarget.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:10 2004